### Signal

# Gio DBusAuthObserver::authorize-authenticated-peer

since: 2.26

#### Declaration

    gboolean
    authorize_authenticated_peer (
      GDBusAuthObserver* self,
      GIOStream* stream,
      GCredentials* credentials,
      gpointer user_data
    )

#### Description

Emitted to check if a peer that is successfully authenticated is authorized.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.26

#### Parameters

`stream`

  Type: `GIOStream`

  A `GIOStream` for the `GDBusConnection`.

  The data is owned by the caller of the function.

`credentials`

  Type: `GCredentials`

  Credentials received from the peer or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the peer is authorized, `FALSE` if not.